### 2.5 Initialization

#### 2.5.1 Initialization functions

These are the functions that handle initializing a BFD.

#### 2.5.1.1 `bfd_init`

Synopsis

    unsigned int bfd_init (void);

Description
This routine must be called before any other BFD function to initialize magical internal data structures. Returns a magic number, which may be used to check that the bfd library is configured as expected by users.

    /* Value returned by bfd_init.  */

    #define BFD_INIT_MAGIC (sizeof (struct bfd_section))